// by Fjozek 08.2022

// flak and mortar tools removed from this version

main()
{	
	maps\mp\mp_chelm_fx::main();
	maps\mp\_load::main();
	

	game["allies"] = "american";
	game["axis"] = "german";
	game["attackers"] = "allies";
	game["defenders"] = "axis";
	game["american_soldiertype"] = "normandy";
	game["german_soldiertype"] = "normandy";

	setCvar("r_glowbloomintensity0", ".25");
	setCvar("r_glowbloomintensity1", ".25");
	setcvar("r_glowskybleedintensity0", ".3");
	
	level thread bottles_info();
	level thread bottles_arrangement();
	
	//plant radio array for HQ gametype
	doHQ();

}

//using script_origins in map "radio" as targetnames for the locations of HQ
doHQ()
{
	if(getcvar("g_gametype") == "hq")
	{
		level.radio = [];
		
		radioloc = getentarray("radio", "targetname");
		logPrint("Number of radios: " + radioloc.size + "\n");
		println("Number of radios:: " + radioloc.size + "\n");
		
		for(i = 0; i < radioloc.size; i++)
		{
			level.radio[i] = spawn("script_model", (radioloc[i].origin));
			level.radio[i].angles = (radioloc[i].angles);
			logPrint("Radio " + i + " set at (" + radioloc[i].origin + "), angles of (" + radioloc[i].angles + ") \n");
			println("Radio " + i + " set at (" + radioloc[i].origin + "), angles of (" + radioloc[i].angles + ") \n");
		}
	}
}

bottles_info()
{
	info = getent("bottleinfo", "targetname");
	
	info setHintString("Bottle challenge");

	while(1) 
	{
		info waittill("trigger", player);	

		player iprintln("Dudek bottles are rearranged on every new round");	
		wait 1;	
		player iprintln("destroy by shooting or melee");
	}
}

bottles_arrangement()
{
	level.pool_1 = [];
	
	level.pool_2 = [];
	
	level.__tt = 0;
	
	level.index = 0;
	
	
	for (i = 0; i < 26; i++) 
	{
		level.pool_1[i] = int(i);
	}
	
	//iprintlnbold(level.pool_1.size);


	for(i = 0; i < 15; i++) 
	{
		level.index = level.pool_1[randomInt(level.pool_1.size)];	
		
		while(level.index == 0)
		{
			level.index = level.pool_1[randomInt(level.pool_1.size)];	
			//iprintlnbold("^6reroll "+level.index);
			wait .05;
		}
		
		//iprintlnbold("^5rerolled new "+level.index);
		//iprintlnbold("^2rolled "+level.index+" ^7value "+level.pool_1[level.index]);
		level.pool_1[level.index] = 0;
		level.pool_2[i] = level.index;
	}
	
	
	//iprintlnbold("^1----------------ARRAY-----------------");
	/*
	for(i = 0; i < level.pool_2.size; i++) {
		iprintlnbold(level.pool_2[i]); 
	}
	*/

	for(i = 1; i < 26; i++)
	{
		level.__tt++;

		bottle_trig = getent("wodka"+i+"_trig", "targetname") thread bottlethink(i); 
	}

	b0 = getent("wodka0_trig", "targetname") thread intro();
}

bottlethink(id)
{
	b = getent("wodka"+id, "targetname");
	
	for(i = 0; i < level.pool_2.size; i++) 
	{
		if(id == level.pool_2[i])	
		{
			b delete();
			self delete();
			
			level.__tt--;
			//iprintlnbold("removed "+id);
			return;
		}
	}	
	
	while(1) 
	{
		self waittill("trigger", player);
		
		level.__tt--;

		playfx(level._effect["dudek"], b.origin);
		playfx(level._effect["dudek"], b.origin);
	
		b delete();
		self delete();
	
		if(level.__tt < 1)
		{
			level thread weirdsound(player);
		}
	}
}

intro()
{
	b = getent("wodka0", "targetname");

	while(1) 
	{
		self waittill("trigger", player);
		
		playfx(level._effect["dudek"], b.origin);
	}
}

weirdsound(player)
{	
	players = getentarray("player", "classname");
		
	iprintlnbold("^2No more vodka for dudek, ^7"+ player.name +" ^2drank it all!");
	
	for(i = 0; i < players.size; i++)
	{
		players[i] playsound("dudek");
	}
}
